package com.fdkankan.pay.alipay.sdk;

import java.io.Serializable;

public class AlipayGoodsDetail implements Serializable {

    private static final long serialVersionUID = -8875896136641533825L;

    public AlipayGoodsDetail() {
    }

    public static AlipayGoodsDetail newInstance(String goodsId, String goodsName, long price, int quantity) {
        AlipayGoodsDetail info = new AlipayGoodsDetail();
        info.setGoodsId(goodsId);
        info.setGoodsName(goodsName);
        info.setPrice(price);
        info.setQuantity(quantity);
        return info;
    }
    // 必填，商品的编号，length=32
    private String goodsId;
    // 必填，商品的名称，length=256
    private String goodsName;
    // 必填，商品数量
    private int quantity;
    // 必填，商品单价，单位为元
    private long price;

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public long getPrice() {
        return price;
    }

    public void setPrice(long price) {
        this.price = price;
    }
}
